Bug 859073 - ovirt-engine-webadmin-portal: User quota sub tab should not be displayed when there are no quota consumers
ovirt-engine-webadmin-portal: User quota sub tab should not be displayed when...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Einav Cohen
Pavel Stehlik
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 09:57 EDT by Oded Ramraz
Modified: 2016-02-10 15:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-31 09:20:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (35.06 KB, application/zip)
2012-09-20 10:00 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-09-20 09:57:35 EDT
Description of problem:

I have single data center with disabled quota , but still I can see quota sub tab under users tab ( see Attached picture ) 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Oded Ramraz 2012-09-20 10:00:09 EDT
Created attachment 614925 [details]
screen shot
Comment 2 Itamar Heim 2012-09-20 10:08:53 EDT
you can still asisgn quotas even when quotas are disabled.
not sure about enabling/disablign this if not quotas are defined.
Comment 3 Doron Fediuck 2013-01-01 07:50:51 EST
Oded, I agree with Itamar;

1. Quota sub-tab in the DC tab
This is being changed these days to get action buttons,
and you should be able to create and manipulate quota allocations regardless
of quota mode in the current DC. So it makes sense to keep it visible.

2. Quota sub-tab in the users tab
This sub-tab works exactly like the Directory Groups sub-tab.
You should be able to see the relevant properties of that specific user,
even if there's no directory server integration. The same logic applies
for quota state, so in order to be consistent it should be visible as well.

Let me know if you see other reasons to hide these sub-tabs.

Note You need to log in before you can comment on or make changes to this bug.